import React from "react";
import { Resizable } from "react-resizable";

export default function ResizableComponent(props) {
  const { onResize, width, ...restProps } = props;
  return (
    <Resizable width={width || 200} height={0} onResize={onResize}>
      <th {...restProps} />
    </Resizable>
  );
}
